.wp-block-heading {
	--wp--custom--spacing--block-gap-override: var(--wp--preset--spacing--large);
}

.wp-block-heading + .wp-block-image {
	--wp--custom--spacing--block-gap-override: var(--wp--preset--spacing--medium);
}

:where(.wp-block-heading).is-style-sparkle {
	-webkit-text-stroke: 2px var(--wp--preset--color--contrast);
	box-sizing: border-box;
	caret-color: var(--wp--preset--color--contrast);
	color: var(--wp--preset--color--white);
	font-weight: 800;
	padding-inline-start: calc(1em + 1rem);
	position: relative;
	text-shadow: 4px 4px 0 var(--wp--preset--color--contrast);
}

:where(.wp-block-heading).is-style-sparkle::before {
	background-image: url("../../elements/sparkle.svg");
	background-position: 50% 100%;
	background-repeat: no-repeat;
	background-size: contain;
	block-size: 1em;
	content: "";
	display: inline-block;
	inline-size: 1em;
	inset-block-start: 0;
	inset-inline-start: 0;
	position: absolute;
}